Package org.bukkit.entity

# Enum Class Panda.Gene

java.lang.Object
java.lang.Enum<Panda.Gene>
org.bukkit.entity.Panda.Gene

All Implemented Interfaces:
  `Serializable`, `Comparable<Panda.Gene>`, `Constable`

Enclosing interface:
  Panda

public static enum Panda.Gene extends Enum<Panda.Gene>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AGGRESSIVE`
`BROWN`
`LAZY`
`NORMAL`
`PLAYFUL`
`WEAK`
`WORRIED`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isRecessive()`
Gets whether this gene is recessive, i.e.
`static Panda.Gene`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Panda.Gene[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NORMAL

public static final Panda.Gene NORMAL

### LAZY

public static final Panda.Gene LAZY

### WORRIED

public static final Panda.Gene WORRIED

### PLAYFUL

public static final Panda.Gene PLAYFUL

### BROWN

public static final Panda.Gene BROWN

### WEAK

public static final Panda.Gene WEAK

### AGGRESSIVE

public static final Panda.Gene AGGRESSIVE

## Method Details

### values

public static Panda.Gene[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Panda.Gene valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isRecessive

public boolean isRecessive()
Gets whether this gene is recessive, i.e. required in both parents to propagate to children.

Returns:
  recessive status